Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.poi.ss.usermodel
Enum FillPatternType

    java.lang.Object
      java.lang.Enum<FillPatternType>
          org.apache.poi.ss.usermodel.FillPatternType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FillPatternType>

    public enum FillPatternType

extends java.lang.Enum<FillPatternType>

The enumeration value indicating the style of fill pattern being used for a cell format.

Enum Constant Summary
`ALT_BARS` Wide dots
`BIG_SPOTS` Large spots
`BRICKS` Brick-like layout
`DIAMONDS` Diamonds
`FINE_DOTS` Small fine dots
`LEAST_DOTS` Least Dots
`LESS_DOTS` Less Dots
`NO_FILL` No background
`SOLID_FOREGROUND` Solidly filled
`SPARSE_DOTS` Sparse dots
`SQUARES` Squares
`THICK_BACKWARD_DIAG` Thick backward facing diagonals
`THICK_FORWARD_DIAG` Thick forward facing diagonals
`THICK_HORZ_BANDS` Thick horizontal bands
`THICK_VERT_BANDS` Thick vertical bands
`THIN_BACKWARD_DIAG` Thin backward diagonal
`THIN_FORWARD_DIAG` Thin forward diagonal
`THIN_HORZ_BANDS` Thin horizontal bands
`THIN_VERT_BANDS` Thin vertical bands

Method Summary
`static FillPatternType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FillPatternType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_FILL

    public static final FillPatternType NO_FILL

  No background

### SOLID_FOREGROUND

    public static final FillPatternType SOLID_FOREGROUND

  Solidly filled

### FINE_DOTS

    public static final FillPatternType FINE_DOTS

  Small fine dots

### ALT_BARS

    public static final FillPatternType ALT_BARS

  Wide dots

### SPARSE_DOTS

    public static final FillPatternType SPARSE_DOTS

  Sparse dots

### THICK_HORZ_BANDS

    public static final FillPatternType THICK_HORZ_BANDS

  Thick horizontal bands

### THICK_VERT_BANDS

    public static final FillPatternType THICK_VERT_BANDS

  Thick vertical bands

### THICK_BACKWARD_DIAG

    public static final FillPatternType THICK_BACKWARD_DIAG

  Thick backward facing diagonals

### THICK_FORWARD_DIAG

    public static final FillPatternType THICK_FORWARD_DIAG

  Thick forward facing diagonals

### BIG_SPOTS

    public static final FillPatternType BIG_SPOTS

  Large spots

### BRICKS

    public static final FillPatternType BRICKS

  Brick-like layout

### THIN_HORZ_BANDS

    public static final FillPatternType THIN_HORZ_BANDS

  Thin horizontal bands

### THIN_VERT_BANDS

    public static final FillPatternType THIN_VERT_BANDS

  Thin vertical bands

### THIN_BACKWARD_DIAG

    public static final FillPatternType THIN_BACKWARD_DIAG

  Thin backward diagonal

### THIN_FORWARD_DIAG

    public static final FillPatternType THIN_FORWARD_DIAG

  Thin forward diagonal

### SQUARES

    public static final FillPatternType SQUARES

  Squares

### DIAMONDS

    public static final FillPatternType DIAMONDS

  Diamonds

### LESS_DOTS

    public static final FillPatternType LESS_DOTS

  Less Dots

### LEAST_DOTS

    public static final FillPatternType LEAST_DOTS

  Least Dots

Method Detail

### values

    public static FillPatternType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FillPatternType c : FillPatternType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FillPatternType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.